%global srcname idm389
%global sum A library for managing the user, group and other contents of 389 Directory Server
%global vers 1.0.2

Name: python-%{srcname}
Summary: %{sum}
Version: %{vers}
Release: 1%{?dist}
%global tarver %{version}-1
# Where should we put this too ....
License: GPLv3+
Url: https://github.com/Firstyear/idm389
Source0: http://www.port389.org/binaries/%{name}-%{tarver}.tar.bz2
Group: Development/Libraries
BuildArch: noarch
%if 0%{?rhel}
BuildRequires: python-devel
BuildRequires: python-setuptools
%else
BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
%endif

%description
A library to manage the users, groups, permissions and other functions of a 389
Directory Server installation.

%package -n python2-%{srcname}
Summary:    %{sum}
Requires: python2-lib389
%{?python_provide:%python_provide python2-%{srcname}}
%description -n python2-%{srcname}
A library to manage the users, groups, permissions and other functions of a 389
Directory Server installation.

# Can't build on EL7! Python3 tooling is too broken :(
# We have to use >= 8, because <= 7 doesn't work ....
%if 0%{?rhel} >= 8 || 0%{?fedora}
%package -n python%{python3_pkgversion}-%{srcname}
Summary:    %{sum}
Requires: python%{python3_pkgversion}-lib389
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
%description -n python%{python3_pkgversion}-%{srcname}
A library to manage the users, groups, permissions and other functions of a 389
Directory Server installation.
%endif

%prep
%autosetup -n %{name}-%{tarver}

%build
%py2_build
%if 0%{?rhel} >= 8 || 0%{?fedora}
%py3_build
%endif

%install
%py2_install
%if 0%{?rhel} >= 8 || 0%{?fedora}
%py3_install
%endif

%files -n python2-%{srcname}
%license LICENSE
%doc README.md
%{python2_sitelib}/*
# No binaries for python2
%exclude %{_sbindir}/*

%if 0%{?rhel} >= 8 || 0%{?fedora}
%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/*
%{_sbindir}/*
%endif

%changelog
* Mon Sep 19 2016 William Brown <wibrown@redhat.com> - 1.0.1-1
- Refactor of specfile

* Thu Jun 23 2016 William Brown <wibrown@redhat.com> - 1.0.0-1
- Create spec file

